import { IEditor } from "../Data/Interfaces.js";
import { default as EditorModel } from "./EditorModel.js";
import { ISetValueOptions } from "./FeatureModel.js";
export default class MicroEditorModel extends EditorModel {
    get name(): string;
    get category(): string;
    get description(): string;
    get order(): number;
    get label(): string;
    get required(): boolean;
    get readOnly(): boolean;
    get enabled(): boolean;
    protected get postback(): boolean;
    getFeaturePrimaryValue(defaultValue?: any): any;
    setFeaturePrimaryValue(value: any, options?: ISetValueOptions): void;
    getFeatureValue(name: string, defaultValue?: any): any;
    setFeatureValue(name: string, value: any, options?: ISetValueOptions): void;
    getFeatureValueByProp(prop: string, defaultValue?: any): any;
    static isMicroEditor(item: IEditor): boolean;
}
